Get available inventory Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
GET /v1/inventory

Retrieve available inventory counts and detailed inventory breakdown by warehouse, status, lot, and expiration date for all seller items.

Query parameters

  • mpn string

    Manufacturer Part Number to filter items

  • upc string

    Universal Product Code to filter items

  • ean string

    European Article Number to filter items

  • item_id string

    Item master ID to filter items

  • per_page integer

    Number of items per page (default: 50)

  • page integer Required

    Page number for pagination

Responses

  • 200 application/json

    inventory retrieved successfully

    Hide response attributes Show response attributes object
    • mpn string | null

      Item mpn

    • upc string | null

      Item upc

    • ean string | null

      Item ean

    • item_id string

      Item master_id

    • available_quantity integer

      Available quantity of item in the warehouse

    • inventory array[object]
      Hide inventory attributes Show inventory attributes object
      • warehouse_name string

        Warehouse name

      • warehouse_id integer

        Warehouse id

      • expiration string | null

        Expiration date

      • status string

        Inventory status

      • lot string | null

        Lot number

      • quantity integer

        Total quantity of item in the warehouse

GET /v1/inventory
curl \
 --request GET 'https://api.pattern.com/hub/v1/inventory?page=42' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "mpn": "string",
    "upc": "string",
    "ean": "string",
    "item_id": "string",
    "available_quantity": 42,
    "inventory": [
      {
        "warehouse_name": "string",
        "warehouse_id": 42,
        "expiration": "string",
        "status": "string",
        "lot": "string",
        "quantity": 42
      }
    ]
  }
]